package pokerenum;

public enum PokerColorEnum {
    HEART(1, "红桃"),
    CLUB(2, "梅花"),
    DIAMOND(3, "方块"),
    SPADE(4, "黑桃");
    private int priority;//值越大优先级越高
    private String desc;

    private PokerColorEnum(int priority, String desc) {
        this.priority = priority;
        this.desc = desc;
    }

    public int getPriority() {
        return priority;
    }

    public void setPriority(int priority) {
        this.priority = priority;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
