package pokerenum;

public enum PokerLevelEnum {
    RoyalFlush(11, "同花顺"),
    FOURKIND(8, "四条"),
    FULLHOUSE(7, "满堂红"),
    FLUSH(6, "同花"),
    STRAIGHT(5, "顺子"),
    THREEKIND(4, "三条"),
    TWOPAIRS(3, "两对"),
    ONEPAIR(2, "一对"),
    HIGHCARD(1, "高牌"),
    DEFAULT(0, "默认");

    private int score;
    private String desc;

    private PokerLevelEnum(int score, String desc) {
        this.score = score;
        this.desc = desc;
    }

    public static PokerLevelEnum prase(int score) {
        for (PokerLevelEnum pokerLevelEnum : PokerLevelEnum.values()) {
            if (pokerLevelEnum.score == score) {
                return pokerLevelEnum;
            }
        }
        return null;
    }

    public int getScore() {
        return score;
    }

    public void setScore(int score) {
        this.score = score;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
