package pokerenum;

public enum PokerValueEnum {
    TWO(2, "2", 'N'),
    THREE(3, "3", 'O'),
    FOUR(4, "4", 'P'),
    FIVE(5, "5", 'Q'),
    SIX(6, "6", 'R'),
    SEVEN(7, "7", 'S'),
    EIGHT(8, "8", 'T'),
    NINE(9, "9", 'U'),
    TEN(10, "10", 'V'),
    J(11, "J", 'W'),
    Q(12, "Q", 'X'),
    K(13, "K", 'Y'),
    A(14, "A", 'Z');
    private int value;
    private String desc;
    private char orderValue;

    private PokerValueEnum(int value, String desc, char orderValue) {
        this.value = value;
        this.desc = desc;
        this.orderValue = orderValue;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public static PokerValueEnum prase(int value) {
        PokerValueEnum[] values = PokerValueEnum.values();
        for (PokerValueEnum pokerValueEnum : values) {
            if (pokerValueEnum.getValue() == value) {
                return pokerValueEnum;
            }
        }
        return null;
    }

    public char getOrderValue() {
        return orderValue;
    }

    public void setOrderValue(char orderValue) {
        this.orderValue = orderValue;
    }
}
