package pokerenum;

/**
 * 结果枚举
 */
public enum ResultEnum {
    FAIL(-1, "失败"), TIE(0, "平局"), VICTORY(1, "胜利");
    private int result;
    private String desc;

    private ResultEnum(int result, String desc) {
        this.result = result;
        this.desc = desc;
    }

    public int getResult() {
        return result;
    }

    public void setResult(int result) {
        this.result = result;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
