package game;

import pokerenum.PokerColorEnum;
import pokerenum.PokerValueEnum;

public class Poker implements Comparable<Poker> {
    private PokerColorEnum colorEnum;
    private PokerValueEnum valueEnum;

    public PokerColorEnum getColorEnum() {
        return colorEnum;
    }

    public void setColorEnum(PokerColorEnum colorEnum) {
        this.colorEnum = colorEnum;
    }

    public PokerValueEnum getValueEnum() {
        return valueEnum;
    }

    public void setValueEnum(PokerValueEnum valueEnum) {
        this.valueEnum = valueEnum;
    }

    public int compareTo(Poker o) {
        if (this.valueEnum.getOrderValue() < o.valueEnum.getOrderValue()) {
            return 1;
        } else if (this.valueEnum.getOrderValue() == o.valueEnum.getOrderValue()) {
            if (this.getColorEnum().getPriority() > o.getColorEnum().getPriority()) {
                return 1;
            } else if (this.getColorEnum().getPriority() == o.getColorEnum().getPriority()) {
                return 0;
            } else {
                return -1;
            }
        } else {
            return -1;
        }
    }
}
