import game.Gamer;
import game.Judger;
import game.Poker;
import pokerenum.PokerColorEnum;
import pokerenum.PokerValueEnum;
import strategy.impl.ColorStrategy;
import strategy.impl.RepeatStrategy;
import strategy.impl.StraightStrategy;
import strategy.impl.Strategy;

import java.util.LinkedList;
import java.util.List;

public class Test {
    public static void main(String[] args) {
        List<Strategy> pokerStrategy = new LinkedList<Strategy>();
        List<Poker> aPokers = new LinkedList<Poker>();
        List<Poker> bPokers = new LinkedList<Poker>();
        int round = 0;
//        for (int i = 0; i < 5; i++) {
//            round = (int) (Math.random() * 13);
//            Poker apoker = new Poker();
//            apoker.setValueEnum(PokerValueEnum.values()[round]);
//            round = (int) (Math.random() * 4);
//            apoker.setColorEnum(PokerColorEnum.values()[round]);
//            aPokers.add(apoker);
//            Poker bpoker = new Poker();
//            round = (int) (Math.random() * 13);
//            bpoker.setValueEnum(PokerValueEnum.values()[round]);
//            round = (int) (Math.random() * 4);
//            bpoker.setColorEnum(PokerColorEnum.values()[round]);
//            bPokers.add(bpoker);
//        }
        Poker ap1 = new Poker();
        ap1.setColorEnum(PokerColorEnum.CLUB);
        ap1.setValueEnum(PokerValueEnum.EIGHT);
        Poker ap2 = new Poker();
        ap2.setColorEnum(PokerColorEnum.HEART);
        ap2.setValueEnum(PokerValueEnum.EIGHT);
        Poker ap3 = new Poker();
        ap3.setColorEnum(PokerColorEnum.DIAMOND);
        ap3.setValueEnum(PokerValueEnum.EIGHT);
        Poker ap4 = new Poker();
        ap4.setColorEnum(PokerColorEnum.SPADE);
        ap4.setValueEnum(PokerValueEnum.K);
        Poker ap5 = new Poker();
        ap5.setColorEnum(PokerColorEnum.CLUB);
        ap5.setValueEnum(PokerValueEnum.SEVEN);

        aPokers.add(ap1);
        aPokers.add(ap2);
        aPokers.add(ap3);
        aPokers.add(ap4);
        aPokers.add(ap5);



        Poker bp1 = new Poker();
        bp1.setColorEnum(PokerColorEnum.CLUB);
        bp1.setValueEnum(PokerValueEnum.EIGHT);
        Poker bp2 = new Poker();
        bp2.setColorEnum(PokerColorEnum.CLUB);
        bp2.setValueEnum(PokerValueEnum.EIGHT);
        Poker bp3 = new Poker();
        bp3.setColorEnum(PokerColorEnum.CLUB);
        bp3.setValueEnum(PokerValueEnum.EIGHT);
        Poker bp4 = new Poker();
        bp4.setColorEnum(PokerColorEnum.HEART);
        bp4.setValueEnum(PokerValueEnum.K);
        Poker bp5 = new Poker();
        bp5.setColorEnum(PokerColorEnum.CLUB);
        bp5.setValueEnum(PokerValueEnum.A);

        bPokers.add(bp1);
        bPokers.add(bp2);
        bPokers.add(bp3);
        bPokers.add(bp4);
        bPokers.add(bp5);



        pokerStrategy.add(ColorStrategy.getStrategy());
        pokerStrategy.add(RepeatStrategy.getStrategy());
        pokerStrategy.add(StraightStrategy.getStrategy());
        Gamer A = new Gamer();
        A.setPokers(aPokers);
        A.setName("A");
        Gamer B = new Gamer();
        B.setPokers(bPokers);
        B.setName("B");
        Judger.judge(pokerStrategy, A, B);
    }
}
